#
# spec file for package perl-Email-MIME-Encodings
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Email-MIME-Encodings
Version:        1.315
Release:        6.1
%define cpan_name Email-MIME-Encodings
Summary:        A unified interface to MIME encoding and decoding
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Email-MIME-Encodings/
Source:         http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Test::More) >= 0.96
%{perl_requires}

%description
This module simply wraps 'MIME::Base64' and 'MIME::QuotedPrint' so that you
can throw the contents of a 'Content-Transfer-Encoding' header at some text
and have the right thing happen.

'MIME::Base64', 'MIME::QuotedPrint', 'Email::MIME'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Tue Nov 26 2013 coolo@suse.com
- updated to 1.315
    repackage to update repository and bug tracker
    add a third argument to encode/decode/codec to allow a fallback
    codec
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Dec 10 2009 chris@computersalat.de
- cleanup spec
  * added header
- fixed Build deps
  * added perl-macros
  * added Test::Pod::Coverage
  * added Test::Pod
* Wed Dec  9 2009 bitshuffler #suse@irc.freenode.org
- Initial RPM
